-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[RP_DM_ANAG_PRODOTTI]
AS
BEGIN
	SET NOCOUNT ON;	
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_ANAG_PRODOTTI',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.ANAG_PRODOTTI
	INSERT INTO [C6Mart].[ANAG_PRODOTTI]
		(
		   [COD_PRODOTTO]
		   ,[COD_ISIN]
		   ,[PAESE]
		   ,[ID_AREA]
		   ,[CAT_PRODOTTO]
		   ,[TIPO_PRODOTTO]
		   ,[DESCR_PRODOTTO]
		   ,[DIV_QUOTAZIONE]
		   ,[DIV_REGOLAMENTO]
		   ,[ID_EMITTENTE]
		   ,[MERCATO_CONTRATT]
		   ,[COD_MAF]
		   ,[RATING]
		   ,[COD_ADEGUATEZZA]
		   ,[COD_SOTTOPRODOTTO]
		   ,[COD_INTERNO]
		   ,[ID_ELAB]
		   ,[TIPO_ELAB]
		   ,DESCR_SGR)
	SELECT 
		CatalogueID AS COD_PRODOTTO,
		ISNULL(CodIsin, '') AS COD_ISIN,
		NULL AS PAESE,
		'' AS ID_AREA,
		NULL AS CAT_PRODOTTO,
		TipoProdotto AS TIPO_PRODOTTO,
		NomeProdotto AS DESCR_PRODOTTO,
		PrezzoValuta AS DIV_QUOTAZIONE,
		NULL AS DIV_REGOLAMENTO,
		NULL AS ID_EMITTENTE,
		NULL AS MERCATO_CONTRATT,
		CodMaf AS COD_MAF,
		NULL AS RATING,
		CodAdeguatezza AS COD_ADEGUATEZZA,
		CodSottoprodotto AS COD_SOTTOPRODOTTO,
		ISNULL(CodInterno, '') AS COD_INTERNO,
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB,
		DESCR_SGR as DESCR_SGR
	FROM C6Staging.RP_CatalogoProdotti
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_ANAG_PRODOTTI' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DM_ANAG_PRODOTTI'
		)
END